Subject: bug#26353: GuixSD /tmp cleaner fails to clean when Umlauts like "ä" are used in filenames

From: [email-masked] (Ludovic Courtès)
Date: Mon, 01 May 2017 22:59:22 +0200

Hi,

Danny Milosavljevic <[email-masked]> skribis:

> On Sun, 23 Apr 2017 01:30:56 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> Did you have a chance to look at this patch?
>
> Hmm, guix system reconfigure finished with the patch, I rebooted, and I get the same error message (No such file) and the file is still there.

Indeed, I just realized that the cleanup code runs before
/run/current-system has been created; thus it does not have access to
locale data and ‘setlocale’ fails.

I cannot think of a nice way to address this unfortunately.  :-(

The problem of how to deal with file name encoding has been discussed on
the Guile side so hopefully the next release in the 2.2 series will have
a solution for this.

Ludo’.